> For the complete documentation index, see [llms.txt](https://mariadb.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://mariadb.com/docs/server/reference/sql-statements/data-definition/drop/drop-trigger.md).

# DROP TRIGGER

## Syntax

```bnf
DROP TRIGGER [IF EXISTS] [schema_name.]trigger_name
```

## Description

This statement drops a [trigger](/docs/server/server-usage/triggers-events/triggers.md). The schema (database) name is optional. If the schema is omitted, the trigger is dropped from the default schema. Its use requires the `TRIGGER` privilege for the table associated with the trigger.

Use `IF EXISTS` to prevent an error from occurring for a trigger that does not exist. A `NOTE` is generated for a non-existent trigger when using `IF EXISTS`. See [SHOW WARNINGS](/docs/server/reference/sql-statements/administrative-sql-statements/show/show-warnings.md).

**Note:** Triggers for a table are also dropped if you drop the table.

### Atomic DDL

{% tabs %}
{% tab title="Current" %}
`DROP TRIGGER` is [atomic](/docs/server/reference/sql-statements/data-definition/atomic-ddl.md).
{% endtab %}

{% tab title="< 10.6.1" %}
`DROP TRIGGER` is **not** [atomic](/docs/server/reference/sql-statements/data-definition/atomic-ddl.md).
{% endtab %}
{% endtabs %}

## Examples

```sql
DROP TRIGGER test.example_trigger;
```

Using the IF EXISTS clause:

```sql
DROP TRIGGER IF EXISTS test.example_trigger;
Query OK, 0 rows affected, 1 warning (0.01 sec)

SHOW WARNINGS;
+-------+------+------------------------+
| Level | Code | Message                |
+-------+------+------------------------+
| Note  | 1360 | Trigger does not exist |
+-------+------+------------------------+
```

## See Also

* [Trigger Overview](/docs/server/server-usage/triggers-events/triggers/trigger-overview.md)
* [CREATE TRIGGER](/docs/server/server-usage/triggers-events/triggers/create-trigger.md)
* [Information Schema TRIGGERS Table](/docs/server/reference/system-tables/information-schema/information-schema-tables/information-schema-triggers-table.md)
* [SHOW TRIGGERS](/docs/server/reference/sql-statements/administrative-sql-statements/show/show-triggers.md)
* [SHOW CREATE TRIGGER](/docs/server/reference/sql-statements/administrative-sql-statements/show/show-create-trigger.md)
* [Trigger Limitations](/docs/server/server-usage/triggers-events/triggers/trigger-limitations.md)

<sub>*This page is licensed: GPLv2, originally from*</sub> [<sub>*fill\_help\_tables.sql*</sub>](https://github.com/MariaDB/server/blob/main/scripts/fill_help_tables.sql)

{% @marketo/form formId="4316" %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://mariadb.com/docs/server/reference/sql-statements/data-definition/drop/drop-trigger.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
